This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 121111 - Search using "Message contains" does not find all matching messages
Search using "Message contains" does not find all matching messages
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-17 07:58 EDT by Jan Martinek
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 13:26:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Martinek 2004-04-17 07:58:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6b)
Gecko/20031210 Galeon/1.3.12

Description of problem:
A pre-defined filter named "Message contains" searches a string in
subject, body, sender and to. The problem occurs when searching using
multiple strings like
"string1" string2"
Let's say we want to find message from Bob that contains
a string Hello. Bob and Hello are in different fields ("To" and "Body")
and evolution does not find this e-mail when the request looks like
bob hello
The searching is correct only when the searched strings are all in
one field (eg. body of the mail).

Version-Release number of selected component (if applicable):
evolution-1.4.5-7

How reproducible:
Always

Steps to Reproduce:
1. send yourself an e-mail with subject "uniqsubject"
and body "uniqbody"
2. Try to find message, that contains these strings:
uniqsubject uniqbody
3. Evolution does not find such mail
    

Expected Results:  Evolution should find all emails that contain
specified strings
no matter in which field (subject, body, sender, to) they
occur.

Additional info:
Comment 1 Matthew Miller 2006-07-11 13:19:23 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 John Thacker 2006-10-28 13:26:07 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported version and
retest.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.